<template>
  <div class="wrap">
    <a-image class="image" :src="src" :width="width" />
  </div>
</template>
<script lang="ts">
  import { Image } from 'ant-design-vue';
  import { defineComponent, toRefs } from 'vue';

  const props = {
    src: { type: String, default: '' },
    width: { type: String, default: '' },
  };

  export default defineComponent({
    components: { aImage: Image },
    props,
    setup(props) {
      return {
        ...toRefs(props),
      };
    },
  });
</script>
<style scoped>
  .wrap {
    display: flex;
    justify-content: space-around;
    width: 100%;
    height: 60px;
    align-items: center;
    border: 1px solid #ddd;
    border-radius: 2px;
  }
</style>
